跳到主要內容
API 參考
API 參考

更新 API 金鑰

更新現有的標準 API 金鑰並取得其目前的使用量摘要。

更新現有的標準 API 金鑰並取得其目前的使用量摘要。

端點

PATCH /api/v1/keys/:id
基礎 URL
https://runapi.ai
API 版本
v1
身分驗證
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
授權
需要帳戶管理員等級的 Management API 金鑰,且僅允許操作其使用者所擁有的金鑰。
02

請求

JSON 請求內文

僅在列出的請求位置中傳送值。

JSON 主體6 個欄位
allowed_modelsarray | null
選填

替換用的模型允許清單;null 或空陣列將清除清單。

credit_limit_centsinteger | null
選填

支出上限(以美分計);設為 null 可清除上限及重設間隔。

credit_limit_reset_intervalstring | null
選填

消費上限的重置週期。

允許的值: daily, weekly, monthly
credit_limit_windowsobject
選填

以 1h、1d 或 7d 為索引鍵的替換滾動消費上限;空物件會清除所有滾動上限。

enabledboolean
選填

使用此金鑰的請求是否被接受。

namestring
選填

替換用的 API 金鑰易記名稱。

路徑參數1 個欄位
idstring
必填

API 金鑰前綴 ID,例如 token_123。

03

成功回應

HTTP 200

PATCH /api/v1/keys/:id

JSON
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_limit_windows": {},
  "credit_usage_cents_by_model": {
    "gpt-5.4": 250
  },
  "credit_usage_cents_this_month": 250,
  "credit_usage_cents_this_week": 100,
  "credit_usage_cents_today": 25,
  "credit_usage_cents_total": 250,
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production primary"
}
04

錯誤回應 (401)

HTTP 401
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Authentication required"
}
05

錯誤回應 (403)

HTTP 403
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Management API key required"
}
06

錯誤回應 (403)

HTTP 403
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Account admin required"
}
07

錯誤回應 (400)

HTTP 400
回應綱要
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

回應範例

JSON
{
  "error": "page must be an integer"
}
08

錯誤回應 (404)

HTTP 404
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Resource not found"
}
09

錯誤回應 (422)

HTTP 422
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的驗證摘要。",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
10

cURL 範例

CURL
curl -X PATCH https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production primary","enabled":true,"credit_limit_windows":{}}'